#ifndef _RTE_LED_H_
#define _RTE_LED_H_

#include "Telltales.h"
#include "RTE_BASE_TYPE.h"


#define GPIO_LED_OFF  		0x00u
#define GPIO_LED_ON   		0x01u




void GPIO_SET_LED_TurnLeft_G(LED_Status Para);
void GPIO_SET_LED_TurnRight_G(LED_Status Para);
void GPIO_SET_LED_HBeam_B(LED_Status Para);
void GPIO_SET_LED_Danger_G(LED_Status Para);
void GPIO_SET_LED_RearFog_Y(LED_Status Para);
void GPIO_SET_LED_DayLight_G(LED_Status Para);
void GPIO_SET_LED_Position_G(LED_Status Para);
void GPIO_SET_LED_ABS_Y(LED_Status Para);
void GPIO_SET_LED_EBD_Y(LED_Status Para);
void GPIO_SET_LED_LowBreakFluid_R(LED_Status Para);
void GPIO_SET_LED_EPB_R(LED_Status Para);
void GPIO_SET_LED_EPB_G(LED_Status Para);
void GPIO_SET_LED_EPB_Fault_Y(LED_Status Para);
void GPIO_SET_LED_AVH_Y(LED_Status Para);
void GPIO_SET_LED_AVH_G(LED_Status Para);
void GPIO_SET_LED_AirBagPass_L(LED_Status Para);
void GPIO_SET_LED_AirBagPass_O(LED_Status Para);
void GPIO_SET_LED_AigBag_Y(LED_Status Para);
void GPIO_SET_LED_SeatBeltDriver_R(LED_Status Para);
void GPIO_SET_LED_SeatBeltRear3_R(LED_Status Para);
void GPIO_SET_LED_SeatBeltRear4_R(LED_Status Para);
void GPIO_SET_LED_SeatBeltRear5_R(LED_Status Para);
void GPIO_SET_LED_EngineFailure_Y(LED_Status Para);
void GPIO_SET_LED_SVS_Y(LED_Status Para);
void GPIO_SET_LED_ESC_Y(LED_Status Para);
void GPIO_SET_LED_ESCOFF_Y(LED_Status Para);
void GPIO_SET_LED_EngineHighTemp_R(LED_Status Para);
void GPIO_SET_LED_LowFuel_Y(LED_Status Para);
void GPIO_SET_LED_LowOilPressure_R(LED_Status Para);
void GPIO_SET_LED_BatCharge_R(LED_Status Para);
void GPIO_SET_LED_CruiseStatus_G(LED_Status Para);
void GPIO_SET_LED_EPS_Y(LED_Status Para);
void GPIO_SET_LED_TPMSFault_Y(LED_Status Para);
void GPIO_SET_LED_Gearbox_Y(LED_Status Para);
void GPIO_SET_LED_Gearbox_R(LED_Status Para);
void GPIO_SET_LED_PEPS_R(LED_Status Para);
void GPIO_SET_LED_AntiTheftFailed_R(LED_Status Para);
void GPIO_SET_LED_GPF_Y(LED_Status Para);
void GPIO_SET_LED_NoKey_Y(LED_Status Para);
void GPIO_SET_LED_Sport_Y(LED_Status Para);
void GPIO_SET_LED_ECO_G(LED_Status Para);
void GPIO_SET_LED_OverSpeed_R(LED_Status Para);
void GPIO_SET_LED_OverSpeed_Y(LED_Status Para);
void GPIO_SET_LED_BodyAntiTheft_R(LED_Status Para);
void GPIO_SET_LED_Reserve0_G(LED_Status Para);
void GPIO_SET_LED_Reserve1_G(LED_Status Para);
void GPIO_SET_LED_FrontFog_G(LED_Status Para);
void GPIO_SET_LED_HDC_Y(LED_Status Para);
void GPIO_SET_LED_HDC_G(LED_Status Para);
void GPIO_SET_LED_SystemFail_R(LED_Status Para);
void GPIO_SET_LED_StartAndStop_Y(LED_Status Para);
void GPIO_SET_LED_StartAndStop_G(LED_Status Para);
void GPIO_SET_LED_HighSpeedTaxi_G(LED_Status Para);
void GPIO_SET_LED_LIM_Y(LED_Status Para);
void GPIO_SET_LED_Dipped_Light_G(LED_Status Para);
void GPIO_SET_LED_ESCL_Y(LED_Status Para);

#endif
